﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using Telerik.Web.UI;
using System.Data;

public partial class ajax_after_close_Main : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {

    }

	protected DataTable GetData()
	{
		DataTable tbl = new DataTable();
		tbl.Columns.Add(new DataColumn("EmployeeID"));
		tbl.Columns.Add(new DataColumn("SecondColumn"));
		tbl.Columns.Add(new DataColumn("ThirdColumn"));
		tbl.Columns.Add(new DataColumn("FourthColumn"));
		tbl.Rows.Add(new object[] { "firstRecord1", "firstRecord2", "firstRecord3", "firstRecord4" });
		tbl.Rows.Add(new object[] { "secondRecord1", "secondRecord2", "secondRecord3", "secondRecord4" });
		tbl.Rows.Add(new object[] { "thirdRecord1", "thirdRecord2", "thirdRecord3", "thirdRecord4" });
		tbl.Rows.Add(new object[] { "fourthRecord1", "fourthRecord2", "fourthRecord3", "fourthRecord4" });
		return tbl;
	}

	protected void RadGrid1_ItemCreated(object sender, GridItemEventArgs e)
	{
		if (e.Item is GridDataItem)
		{
			//if (e.Item.OwnerTableView.Name == "Parent")
			//{
				Button editLink = (Button)e.Item.FindControl("EditLink");
				editLink.Attributes["href"] = "javascript:void(0);";
				editLink.Attributes["onclick"] = String.Format("return ShowEditForm('{0}','{1}','{2}','{3}');",
					e.Item.OwnerTableView.DataKeyValues[e.Item.ItemIndex]["EID"],
					e.Item.OwnerTableView.DataKeyValues[e.Item.ItemIndex]["RID"],
					e.Item.OwnerTableView.DataKeyValues[e.Item.ItemIndex]["VID"],
					e.Item.ItemIndex);
			//}
			//else if (e.Item.OwnerTableView.Name == "Child")
			//{
			//    // nothing
			//}
		}
		if (e.Item is GridCommandItem)
		{
			GridCommandItem cmditem = (GridCommandItem)e.Item;
			Button addLink = (Button)cmditem.FindControl("AddNewRecordLink");
			addLink.Attributes["href"] = "javascript:void(0);";
			addLink.Attributes["onclick"] = String.Format("return ShowInsertForm('{0}','{1}');",
			   "txtEID.Text",
			   "hfVID.Value");
		}
	}

	protected void OnNeedDataSource(object sender, GridNeedDataSourceEventArgs e){
		RadGrid1.DataSource = GetData();
	}

	protected void RadAjaxManager1_AjaxRequest(object sender, AjaxRequestEventArgs e)
	{
		if (e.Argument == "Rebind")
		{
			RadGrid1.MasterTableView.SortExpressions.Clear();
			RadGrid1.MasterTableView.GroupByExpressions.Clear();
			RadGrid1.Rebind();
		}
		else if (e.Argument == "RebindAndNavigate")
		{
			RadGrid1.MasterTableView.SortExpressions.Clear();
			RadGrid1.MasterTableView.GroupByExpressions.Clear();
			RadGrid1.MasterTableView.CurrentPageIndex = RadGrid1.MasterTableView.PageCount - 1;
			RadGrid1.Rebind();
		}
	}
}